<?

$settings = (new KSWEBSettings())->get();

?>
    <script type="text/javascript">
        $(document).ready(function() {
            var is_start_min_old, auto_start_old, wifiLock_old, move_inis_old;

            function initVars() {
                $('#is_start_min').is(':checked') ? is_start_min_old = "true" : is_start_min_old = "false";
                $('#auto_start').is(':checked') ? auto_start_old = "true" : auto_start_old = "false";
                $('#move_inis').is(':checked') ? move_inis_old = "true" : move_inis_old = "false";
                $('#wifiLock').is(':checked') ? wifiLock_old = "true" : wifiLock_old = "false";
            }

            initVars();

            $("#save_btn").click(function(){

                var is_start_min;
                $('#is_start_min').is(':checked') ? is_start_min = "true" : is_start_min = "false";

                var auto_start;
                $('#auto_start').is(':checked') ? auto_start = "true" : auto_start = "false";

                var move_inis;
                $('#move_inis').is(':checked') ? move_inis = "true" : move_inis = "false";

                var wifiLock;
                $('#wifiLock').is(':checked') ? wifiLock = "true" : wifiLock = "false";

                $('#result').css('display', 'none');
                $.post('?action=savekswebsettings', {act: "save_ksweb_settings", wifiLock: wifiLock, wifiLock_old: wifiLock_old, is_start_min: is_start_min, is_start_min_old: is_start_min_old, auto_start: auto_start, auto_start_old: auto_start_old, move_inis: move_inis, move_inis_old: move_inis_old}, function(data) {
                    Materialize.toast('Settings saved', 4000);
                    if (data.length > 0) {
                        data = "<h5>Done</h5>" + data;
                        $('#result').html(data);
                        $('#result').removeClass('card-panel red darken-1 white-text');
                        $('#result').addClass('card-panel green darken-1 white-text').fadeIn(1500).delay(5000).fadeOut(1500);
                    }
                    initVars();
                });
            });
        });
    </script>

<div class="container">
    <div class="row">
        <div class="col s12 m12 l12">
            <div id="result" class="card-panel" style="display:none;"></div>
            <div class="card white">
                <div class="card-content grey-text text-darken-3">
                    <span class="card-title">KSWEB Settings</span>
                    <br />
                    <p>
                        <input type="checkbox" class="filled-in" id="enable_root_func" disabled <?php if ($settings["enable_root_func"] == 'true') echo "checked"; ?>>
                        <label for="enable_root_func">Enable root functions</label>
                    </p>
                    <br />
                    <p>
                        <input type="checkbox" class="filled-in checkbox-blue" id="is_start_min" <?php if ($settings["is_start_min"] == 'true') echo "checked"; ?>>
                        <label class="label-text" for="is_start_min">Start minimized</label>
                    </p>
                    <br />
                    <p>
                        <input type="checkbox" class="filled-in checkbox-blue" id="auto_start" <?php if ($settings["auto_start"] == 'true') echo "checked"; ?>>
                        <label class="label-text" for="auto_start">Start KSWEB on system start</label>
                    </p>
                    <br />
                    <p>
                        <input type="checkbox" class="filled-in checkbox-blue" id="move_inis" <?php if ($settings["move_inis"] == 'true') echo "checked"; ?>>
                        <label class="label-text" for="move_inis">Use external ini files</label>
                    </p>
                    <br />
                    <p>
                        <input type="checkbox" class="filled-in checkbox-blue" id="wifiLock" <?php if ($settings["wifiLock"] == 'true') echo "checked"; ?>>
                        <label class="label-text" for="wifiLock">Lock Wi-Fi</label>
                    </p>
                </div>
                <div class="card-action">
                    <a class="linker blue-text nos" id="save_btn">Save</a>
                </div>
            </div>
        </div>
    </div>
</div>